<?php
namespace Claromentis\Documents\Event;

$GLOBALS["__65da1b1ec2d6653e8a0ab7848e53621" . "5"] = (@$GLOBALS["__65da1b1ec2d" . "6653e8a0ab784" . "8e536215"] ?: array()) + array("_80e7ee43fdf838101a2303a" . "7b4a50efc" => base64_decode("dG9fZm9sZGV" . "yX2lk"), "_2e858fb1973337f53ff85c104fcb38" . "f4" => base64_decode("cHVibGl" . "zaGVk"), "t" . "y" . "p" . "e" => base64_decode("dHl" . "wZQ" . "=="), "_4c760fb02a4" . "9c55509ba087" . "b84fbda45" => base64_decode("ZHJhZnQ" . "="), "_939c6a45ff7" . "4323dbef487e" . "d15753a7c" => base64_decode("c3RhdG" . "U="), "_32155ccb342f199043093041c1b3" . "bb57" => base64_decode("ZnJvbV9mb2xkZXJfaW" . "Q="), "_d0845bff5cd0ddb5e" . "d1d7bd9db996f51" => base64_decode("c29" . "1cm" . "Nl"));
use Claromentis\Core\Event\GenericEvent;


class AddDocumentEvent extends GenericEvent
{
    const STATE_DRAFT = 1;
    const STATE_PUBLISHED = 2;
    
    
    
    
    private $error_message = '';
    public function GetState()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d6653" . "e8a0ab7848e536215"]["_939c6a45ff74323db" . "ef487ed15753a7c"]);
    }
    public function GetStateName()
    {
        if ($this->getArgument($GLOBALS["__65da1b1" . "ec2d6653e" . "8a0ab7848" . "e536215"]["_939c6a45ff74323dbef487ed15753" . "a7c"]) == self::STATE_DRAFT) {
            return $GLOBALS["__65da1b1ec2d6653e8a0ab78" . "48e536215"]["_4c760fb02a49c5550" . "9ba087b84fbda45"];
        }
        return $GLOBALS["__65da1b1ec2d6653e8a0ab" . "7848e536215"]["_2e858fb1973337f53f" . "f85c104fcb38f4"];
    }
    public function GetType()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d6653e8a0" . "ab7848e536215"]["t" . "y" . "p" . "e"]);
    }
    
    
    
    
    public function GetTypeName()
    {
        return \ERMSDocTypes::GetName($this->getArgument($GLOBALS["__65da1b1ec2d6653e8a0ab7848e536" . "215"]["t" . "y" . "p" . "e"]));
    }
    public function GetSource()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d6653e8a" . "0ab7848e536215"]["_d0845bff5cd0ddb5ed1d7bd9db996" . "f51"]);
    }
    public function GetFromFolderId()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d6653e8a0ab7848e5362" . "15"]["_32155ccb342f199043093" . "041c1b3bb57"]);
    }
    public function GetToFolderId()
    {
        return $this->getArgument($GLOBALS["__65da1b1e" . "c2d6653e8a" . "0ab7848e53" . "6215"]["_80e7ee4" . "3fdf8381" . "01a2303a" . "7b4a50ef" . "c"]);
    }
    public function GetErrorMessage()
    {
        return $this->error_message;
    }
    public function SetErrorMessage($error_message)
    {
        $this->error_message = $error_message;
    }
}